Name:           chirp
Version:        20230206
Release:        %mkrel 1
Summary:        A tool for programming radio equipment
Group:          Communications/Radio
License:        GPLv3+
URL:            https://chirp.danplanet.com/projects/chirp/wiki/Download
Source0:        https://trac.%{name}.danplanet.com/%{name}_next/next-%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  desktop-file-utils
BuildRequires:  libxml2-python3
BuildRequires:  python3-serial
BuildRequires:  python3-six
BuildRequires:  python3-future

Requires:       libxml2-python3
Requires:       python3-future
Requires:       python3-requests
Requires:       python3-serial
Requires:       python3-suds
Requires:       python3-wxpython4
Requires:       python3-yattag

%description
CHIRP is an open-source tool for programming radio transceivers.
It supports a large number of manufacturers and models, as well as providing
a way to interface with multiple data sources and formats.

This version is built from the chirp-next sources.

%prep
%autosetup -p1 -n %{name}-%{version}

sed -i 's/chirpw/chirp/g' chirp/share/chirpw.1

%build
%py3_build

%install
%py3_install

# Desktop file
install -d -m 755 %{buildroot}%{_datadir}/applications
install -m 755 chirp/share/chirp.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

desktop-file-install \
        --dir=%{buildroot}%{_datadir}/applications \
        %{buildroot}%{_datadir}/applications/%{name}.desktop

# Icon
install -d -m 755 %{buildroot}/%{_iconsdir}
install -m 644 chirp/share/chirp.png %{buildroot}/%{_iconsdir}/chirp.png

# man page
mkdir -p %{buildroot}/%{_mandir}/man1
install -m 644 chirp/share/chirpw.1 %{buildroot}/%{_mandir}/man1/chirp.1

%files
%doc COPYING
%{_bindir}/*
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}-*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/chirp.png
%{_mandir}/man1/chirp.1*


%changelog
* Mon Feb 06 2023 barjac <barjac> 20230206-1.mga9
+ Revision: 1938815
- new daily snapshot 20230206

* Mon Jan 30 2023 barjac <barjac> 20230130-1.mga9
+ Revision: 1937129
- new version 20230130
- versioning bug fixed upstream
- removed workaround

* Sat Jan 28 2023 barjac <barjac> 20230128-1.mga9
+ Revision: 1936673
- new version 20230128
- use install not cp in spec

* Fri Jan 27 2023 barjac <barjac> 20230127-1.mga9
+ Revision: 1936396
- Major re-work to use daily releases
- use chirp-next (py3) source
- drop epoch needed during py3 changeover testing
- too many other minor changes to list here

* Wed Jan 25 2023 barjac <barjac> 1:0.4.0-0.20230125.2.mga9
+ Revision: 1936193
- change to CHIRP_VERSION fix

* Wed Jan 25 2023 barjac <barjac> 1:0.4.0-0.20230125.1.mga9
+ Revision: 1936060
- new snapshot 20230125
- fix build due to PYTHONDISTDEPS_GENERATORS_FAILED

* Sun Jan 01 2023 barjac <barjac> 1:0.4.0-0.20230101.1.mga9
+ Revision: 1928630
- first tests of new upstream py3 master
- new Requires: python3-yattag
- added mk-tar as upstream dont make releases
- changed Url to github
- switched to svg for icon
- remove man pages

* Tue Nov 29 2022 barjac <barjac> 1:0.4.0~dev-0.20221128.1.mga9
+ Revision: 1912316
- reluctantly add epoch due to old pkging error
- change exec in .desktop
- new py3 snapshot that now tests OK
- updated files section
- new version 0.4.0 from py3 branch
- This is broken when run but builds, so committing before sadly obsoleting
- as the only stable versions need python2

* Wed Jul 20 2022 danf <danf> 20200922py3-5.mga9
+ Revision: 1869492
- Update basever to fix building in latest Cauldron

* Sat Mar 26 2022 umeabot <umeabot> 20200922py3-4.mga9
+ Revision: 1828640
- Mageia 9 Mass Rebuild

* Wed Mar 02 2022 mrambo3501 <mrambo3501> 20200922py3-3.mga9
+ Revision: 1787577
- rebuild for python-3.10

* Fri Apr 23 2021 tv <tv> 20200922py3-2.mga9
+ Revision: 1718173
- rebuild for python 3.9

* Tue Sep 22 2020 barjac <barjac> 20200922py3-1.mga8
+ Revision: 1629426
- new snapshot 29200922
- updated tarball/patch script to produce dated output

* Fri Mar 06 2020 barjac <barjac> 20200305py3-1.mga8
+ Revision: 1554249
- move to py3 branch
- use 2to3 to fix build
- new temporary script to create tarball and py3 patch
- change BRs and files lists for py3
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Tue Apr 23 2019 barjac <barjac> 20190412-1.mga7
+ Revision: 1394859
- new version 20190412

* Fri Mar 15 2019 barjac <barjac> 20190314-1.mga7
+ Revision: 1377150
- new version 20190314

* Tue Mar 05 2019 barjac <barjac> 20190304-1.mga7
+ Revision: 1371758
- new version 20190304

* Tue Feb 12 2019 barjac <barjac> 20190201-3.mga7
+ Revision: 1366021
- Reduce updates nag frequency and refer to Mageia

* Sat Feb 09 2019 barjac <barjac> 20190201-2.mga7
+ Revision: 1364625
- new Require: pygtk2.0
- fixes Mga#24329 (ImportError: No module named gtk)

* Tue Feb 05 2019 barjac <barjac> 20190201-1.mga7
+ Revision: 1363244
- new version 20190201 daily snapshot
- start to only use snapshots as upstream no longer make releases

* Tue Sep 18 2018 umeabot <umeabot> 0.4.1-3.mga7
+ Revision: 1261234
- Mageia 7 Mass Rebuild

* Tue Feb 09 2016 umeabot <umeabot> 0.4.1-2.mga6
+ Revision: 950993
- Mageia 6 Mass Rebuild

* Sat Nov 29 2014 barjac <barjac> 0.4.1-1.mga5
+ Revision: 799811
+ rebuild (emptylog)

* Fri Nov 28 2014 barjac <barjac> 0.4.1-0.mga5
+ Revision: 799731
- new version 0.4.1
- fixes critical bug that could cause RX to fail on UV5-r series

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-4.mga5
+ Revision: 746209
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.4.0-3.mga5
+ Revision: 726069
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-2.mga5
+ Revision: 678378
- Mageia 5 Mass Rebuild

* Sat Aug 02 2014 barjac <barjac> 0.4.0-1.mga5
+ Revision: 659215
- new version
- tidy spec
- desktop file into spec
- import from Fedora with thanks


* Mon May 06 2013 Richard Shaw <hobbes1069@gmail.com> - 0.3.1-1
- Update to latest upstream release.

* Sat Feb 16 2013 Richard Shaw <hobbes1069@gmail.com> - 0.3.0-1
- Update to latest upstream release.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 04 2012 Richard Shaw <hobbes1069@gmail.com> - 0.2.2-1
- Update to latest upstream release.

* Sun Mar 18 2012 Richard Shaw <hobbes1069@gmail.com> - 0.2.0-1
- Update to latest upstream release.

* Sun Nov 20 2011 Randall "Randy" Berry, N3LRX <dp67@fedoraproject.org> - 0.1.12-5
- Add source for .desktop, per review

* Sun Nov 20 2011 Randall "Randy" Berry, N3LRX <dp67@fedoraproject.org> - 0.1.12-4
- Add source for patches, per review

* Sun Nov 20 2011 Randall "Randy" Berry, N3LRX <dp67@fedoraproject.org> - 0.1.12-3
- Submit for review

* Sat Nov 19 2011 Randall "Randy" Berry, N3LRX <dp67@fedoraproject.org> - 0.1.12-2
- Own unowned directories
- Add correct .desktop file
- Apply patch to move COPYING file to proper directory
- Add shebang patch removes shebang from unnecessary files

* Sat Nov 19 2011 Randall "Randy" Berry, N3LRX <dp67@fedoraproject.org> - 0.1.12-1
- Initial Build and testing
